org.apache.ignite.internal.visor.tx

## Class VisorTxTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorTxTaskArg,Map<ClusterNode,VisorTxTaskResult>,VisorTxTaskResult>
  - - org.apache.ignite.internal.visor.tx.VisorTxTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorTxTaskArg>,Map<ClusterNode,VisorTxTaskResult>>

    @GridInternal
    public class VisorTxTask
    extends VisorMultiNodeTask<VisorTxTaskArg,Map<ClusterNode,VisorTxTaskResult>,VisorTxTaskResult>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorTxTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<VisorTxTaskArg,VisorTxTaskResult>` `job(VisorTxTaskArg arg)`
`protected Collection<UUID>` `jobNodes(VisorTaskArgument<VisorTxTaskArg> arg)`
`protected Map<ClusterNode,VisorTxTaskResult>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorTxTask

    public VisorTxTask()

### Method Detail

#### job

    protected VisorJob<VisorTxTaskArg,VisorTxTaskResult> job(VisorTxTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorTxTaskArg,Map<ClusterNode,VisorTxTaskResult>,VisorTxTaskResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### jobNodes

    protected Collection<UUID> jobNodes(VisorTaskArgument<VisorTxTaskArg> arg)

Overrides:
  `jobNodes` in class `VisorMultiNodeTask<VisorTxTaskArg,Map<ClusterNode,VisorTxTaskResult>,VisorTxTaskResult>`
Returns:
  Collection of nodes IDs where jobs should be mapped.

#### reduce0

    @Nullable
    protected Map<ClusterNode,VisorTxTaskResult> reduce0(List<ComputeJobResult> results)
                                                            throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VisorTxTaskArg,Map<ClusterNode,VisorTxTaskResult>,VisorTxTaskResult>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019